id: 3
createTime: 2023-12-01T17:53:36.549984244Z
name: nexus.1.windup
addon: analyzer
data:
    mode:
        artifact: ""
        binary: false
        diva: false
        withDeps: false
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/target=openjdk11
        path: ""
        tags:
            excluded: []
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: false
    sources: []
    tagger:
        enabled: true
    targets: []
application:
    id: 1
    name: nexus
state: Failed
image: registry.redhat.io/mta/mta-analyzer-addon-rhel9@sha256:87fc3f24e4f9ebcb0800857f5e4557bcf2bedaf74420adbb6a2127f722f54975
pod: openshift-mta/task-3-xj87x
started: 2023-12-01T17:53:36.661599296Z
terminated: 2023-12-01T18:15:53.095633215Z
bucket:
    id: 102
    name: ""
errors:
    - severity: Error
      description: 'POST /applications/1/analyses failed: 409(Conflict) body: {"error":"UNIQUE constraint failed: TechDependency.Provider, TechDependency.Name, TechDependency.Version, TechDependency.SHA, TechDependency.AnalysisID"}'
    - severity: Error
      description: 'Pod failed: Error'
activity:
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] succeeded.'
    - '[SSH] Agent started.'
    - '[FILE] Created /addon/settings.xml.'
    - '[MVN] Using settings file(path=/addon/settings.xml).'
    - '[GIT] Cloning: https://github.com/sonatype/nexus-public'
    - '[FILE] Created /addon/.gitconfig.'
    - '[CMD] Running: /usr/bin/git clone https://github.com/sonatype/nexus-public /addon/source/nexus-public'
    - '[CMD] succeeded.'
    - '[RULESET] fetching: id=23 (openjdk17)'
    - '[RULESET] fetching (dep): id=1 (.discovery)'
    - '[RULESET] fetching (dep): id=20 (.technology-usage)'
    - '[RULESET] fetching: id=14 (openjdk11/openjdk8)'
    - '[RULESET] fetching: id=15 (openjdk17/openjdk11)'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/converted /addon/rules'
    - '[CMD] succeeded.'
    - 'Settings: /addon/opt/settings.json'
    - '> - name: go'
    - '>   binaryPath: /usr/bin/generic-external-provider'
    - '>   initConfig:'
    - '>   - location: /addon/source/nexus-public'
    - '>     analysisMode: full'
    - '>     providerSpecificConfig:'
    - '>       dependencyProviderPath: /usr/bin/golang-dependency-provider'
    - '>       lspServerPath: /root/go/bin/gopls'
    - '>       name: go'
    - '> - name: java'
    - '>   binaryPath: /jdtls/bin/jdtls'
    - '>   initConfig:'
    - '>   - location: /addon/source/nexus-public'
    - '>     analysisMode: source-only'
    - '>     providerSpecificConfig:'
    - '>       bundles: /jdtls/java-analyzer-bundle/java-analyzer-bundle.core/target/java-analyzer-bundle.core.jar'
    - '>       depOpenSourceLabelsFile: /usr/local/etc/maven.default.index'
    - '>       lspServerPath: /jdtls/bin/jdtls'
    - '>       mavenSettingsFile: /addon/settings.xml'
    - '> - name: builtin'
    - '>   initConfig:'
    - '>   - location: /addon/source/nexus-public'
    - '>     analysisMode: ""'
    - '> '
    - '[CMD] Running: /usr/bin/konveyor-analyzer --provider-settings /addon/opt/settings.json --output-file /addon/report.yaml --no-dependency-rules --rules /addon/rules/rulesets/23/rules --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/20/rules --rules /addon/rules/rulesets/14/rules --rules /addon/rules/rulesets/15/rules --label-selector konveyor.io/target=openjdk11 --dep-label-selector !konveyor.io/dep-source=open-source'
    - '[CMD] succeeded.'
    - '[CMD] Running: /usr/bin/konveyor-analyzer-dep --provider-settings /addon/opt/settings.json --output-file /addon/deps.yaml'
    - '[CMD] succeeded.'
